<?php
/***************************************\
|      PHP OPTIMISATEUR      |
|         Version 1.2        |
\***************************************/

$PAGE['content'] .= '<div class="generic config">
    <h2>'.l10n('Configuration').'</h2>
    <ul>
      <li>
        <span class="title">'.l10n('Folders').'</span>
        <table>
          <tr>
            <td><b>'.l10n('FolderIn').' :</b></td>
            <td>'.$CONF['DIRsource'].'</td>
          </tr>
          <tr>
            <td><b>'.l10n('FolderOut').' :</b></td>
            <td>'.$CONF['DIRsortie'].'</td>
          </tr>
        </table>
      </li>
      <li>
        <span class="title">'.l10n('Options').'</span>
        <table>
          <tr>
            <td><b>'.l10n('silentORNOT').' :</b></td>
            <td>'.l10n($CONF['silentORNOT']).'</td>
          </tr>

          <tr>
            <td><b>'.l10n('DIRhighORNOT').' :</b></td>
            <td>'.bool_to_string($CONF['DIRhighORNOT']).'</td>
          </tr>
          <tr>
            <td><b>'.l10n('DIMhdORNOT').' :</b></td>
            <td>'.bool_to_string($CONF['DIMhdORNOT']).'</td>
          </tr>
          <tr>
            <td><b>'.l10n('renameORNOT').' :</b></td>
            <td>'.bool_to_string($CONF['renameORNOT']).'</td>
          </tr>
          <tr>
            <td><b>'.l10n('indexORNOT').' :</b></td>
            <td>'.bool_to_string($CONF['indexORNOT']).'</td>
          </tr>
          <tr>
            <td><b>'.l10n('prefixe_mini').' :</b></td>
            <td>'.$CONF['prefixe_mini'].'</td>
          </tr>
        </table>
      </li>
      <li>
        <span class="title">'.l10n('Sizes and quality').'</span>
        <table>
          <tr>
            <td><b>'.l10n('DIMhd').' :</b></td>
            <td>'.$CONF['DIMhd'].' px</td>
          </tr>
          <tr>
            <td><b>'.l10n('DIMnormal').' :</b></td>
            <td>'.$CONF['DIMnormal'].' px</td>
          </tr>
          <tr>
            <td><b>'.l10n('DIMthumbnail').' :</b></td>
            <td>'.$CONF['DIMthumbnail'].' px</td>
          </tr>
          <tr>
            <td><b>'.l10n('Qhd').' :</b></td>
            <td>'.$CONF['Qhd'].' %</td>
          </tr>
          <tr>
            <td><b>'.l10n('Qnormal').' :</b></td>
            <td>'.$CONF['Qnormal'].' %</td>
          </tr>
          <tr>
            <td><b>'.l10n('Qthumbnail').' :</b></td>
            <td>'.$CONF['Qthumbnail'].' %</td>
          </tr>
          <tr>
            <td><b>'.l10n('DPI').' :</b></td>
            <td>'.$CONF['DPI'].' dpi</td>
          </tr>
        </table>
      </li>
      <li>
        <span class="title">'.l10n('Copyright').'</span>
        <table>
          <tr>
            <td><b>'.l10n('Content').' :</b></td>
            <td>'.$CONF['copyright'].'</td>
          </tr>
          <tr>
            <td><b>'.l10n('copyONhd').' :</b></td>
            <td>'.bool_to_string($CONF['copyONhd']).'</td>
          </tr>
          <tr>
            <td><b>'.l10n('copyONnormal').' :</b></td>
            <td>'.bool_to_string($CONF['copyONnormal']).'</td>
          </tr>
          <tr>
            <td><b>'.l10n('copyPOS%s', '').' :</b></td>
            <td>'.$CONF['copyPOS'].'</td>
          </tr>
          <tr>
            <td><b>'.l10n('copySIZE').' :</b></td>
            <td>'.$CONF['copySIZE'].'</td>
          </tr>
          <tr>
            <td><b>'.l10n('copyCOLOR').' :</b></td>
            <td>
              #'.nice_hex_color($CONF['copyCOLOR']).'
              <span class="color-display" style="background-color:#'.nice_hex_color($CONF['copyCOLOR']).';">&nbsp;</span>
            </td>
          </tr>
          <tr>
            <td><b>'.l10n('copyFONT').' :</b></td>
            <td>'.$CONF['copyFONT'].'</td>
          </tr>
        </table>
      </li>
    </ul>
    
    <h2>'.l10n('Plugins').'</h2>
    <ul>';
      // Affichage des plugins
      $PLUGIN_ACTION = 'read_config';
      
      foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
        $PAGE['content'] .= '<li>
          <div class="plugin-title">
            <span class="title">'.$plugin_config['name'].' :</span>
            
            <span class="plugin-active">';
            if ($plugin_config['active']) {
              $PAGE['content'] .= '<b class="new">'.l10n('Active').'</b>';
            } else {
              $PAGE['content'] .= '<b class="miss">'.l10n('Inactive').'</b>';
            }
            $PAGE['content'] .= '</span>
            
          </div>';
          
          // On affiche sa configuration
          if (file_exists('plugins/'.$plugin_id.'/setup.php')) {
            include('plugins/'.$plugin_id.'/setup.php');
          }
        $PAGE['content'] .= '</li>';
      }
    $PAGE['content'] .= '</ul>
  </div>';
?>