<?php
/***************************************\
|            PHP OPTIMISATEUR           |
|      Plugin CreateFoldersAlpha 1.2    |
\***************************************/

## Crée une arborescence alphanumérique dans la dossier source
## Ne supporte pas une arborescence pré-existante

$handle = opendir($CONF['DIRsource']);

while ($file = readdir($handle)) {
  if ($file != '.' && $file != '..' && !is_dir($CONF['DIRsource'].'/'.$file)) {
    // Récupère le parties du nom servant à créer les dossiers
    if (preg_match('#^(.{1})([^_.]*)_(.*)#', $file, $matches)) {
      $Letter = strtoupper($matches[1]);
      $FolderName = $matches[1].$matches[2];

      // Crée les dossier
      if (!file_exists($CONF['DIRsource'].$Letter.'/'.$FolderName)) {
        mkdir_log($CONF['DIRsource'].$Letter.'/'.$FolderName);
      }
      
      // Déplace le fichier
      rename_log($CONF['DIRsource'].$file, $CONF['DIRsource'].$Letter.'/'.$FolderName.'/'.$file, true);
    
    } else {
      $LOG[] = 'The file '.$CONF['DIRsource'].$file.' doesn\'t match the patern #^(.{1})([^_.]*)_(.*)#, not moved';
    }
    
    $done = true;
  }
}

if (isset($done)) $LOG[] = "\r\n";

?>